Bug 888517 - pungi missing checksums in .treeinfo on ppc64
pungi missing checksums in .treeinfo on ppc64
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: pungi (Show other bugs)
18
ppc64 Linux
high Severity high
: ---
: ---
Assigned To: Dennis Gilmore
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F18Blockerppc
  Show dependency treegraph
 
Reported: 2012-12-18 14:57 EST by David Aquilina
Modified: 2014-06-23 20:19 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-05 02:15:54 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
fix checksum generation on ppc64 (913 bytes, patch)
2012-12-18 14:57 EST, David Aquilina
no flags Details | Diff

  None (edit)
Description David Aquilina 2012-12-18 14:57:25 EST
Created attachment 665736 [details]
fix checksum generation on ppc64

Description of problem:

pungi only generates a few checksums in .treeinfo on ppc64: 

[images-ppc64]
kernel = ppc/ppc64/vmlinuz
initrd = ppc/ppc64/initrd.img
upgrade = ppc/ppc64/upgrade.img
boot.iso = images/boot.iso
zimage = images/netboot/ppc64.img

[checksums]
images/boot.iso = sha256:7346e8f8a1c6cc249f1897943a2fb5ae78f4f055f64b399bb033a33bbedf1920
images/netboot/ppc64.img = sha256:c4b2741893bdd9a67d490d7f4437a70c2b226966d6640730783796db4d2bbd7b
repodata/repomd.xml = sha256:c9be1b5dba287d9a7ca7c6fe939208db351cf20aa51e5cc80afba4cb5d3cf11e

This breaks fedup upgrades.
Comment 1 David Aquilina 2012-12-18 15:08:26 EST
my patch may have been premature... it's now labeling the 'images' section with 'images-ppc64p7' instead of 'ppc64' (and the kernel etc is getting placed in os/ppc/ppc32 !?): 

[general]
name = Fedora-18
family = Fedora
timestamp = 1355859994.81
variant = 
version = 18
packagedir = 
arch = ppc64

[images-ppc64p7]
kernel = ppc/ppc32/vmlinuz
initrd = ppc/ppc32/initrd.img
upgrade = ppc/ppc32/upgrade.img
boot.iso = images/boot.iso
zimage = images/netboot/ppc32.img

[stage2]
mainimage = LiveOS/squashfs.img

[checksums]
images/boot.iso = sha256:f1a0d9bd4d0feffd5f80ee4df0a4af7904dc5e47167903b5ed08c0ea9cd017c7
images/netboot/ppc32.img = sha256:cc25ce0d791a9d585756d4c03b3823bc654238819f7aad0d6ec108ce609fc0a8
ppc/bootinfo.txt = sha256:6c4093f9e9f7f73d8faeffd6a19efb17e8e7fb6cb66a0906b458d253249f55d0
ppc/magic = sha256:bc43c684be9c298da9ec039d25b886fefc3939d288984ebb23caccad5c143993
ppc/mapping = sha256:2ceefd47b7a4799dbeffac86b5e22d358b070629fc248664fa736b140f1d6eb0
ppc/efika.forth = sha256:e3dbce45be61d79e595caa954028cb88a7422135da66b5d3ccf6bb7bf1842d10
ppc/ppc32/yaboot.conf = sha256:4f894a8af114286a8a8b120d53c31f35030c805b79fd46d97c638dec330ed360
ppc/ppc32/vmlinuz = sha256:3ed1549939dbdd6d6fc3a65a272227ec3de3692b711c5132203d52ba7c6fc71f
ppc/ppc32/upgrade.img = sha256:63c8aaa12de28a0a53a1a024d674d437536b4da5e78a986e617af061ed45daff
ppc/ppc32/initrd.img = sha256:b115a11a0b3f4c5d965703b43e9c76ad213b667f39acb1ca39633cebc7e1b059
ppc/mac/yaboot = sha256:1a5a9d05b19634a733e678a91e322cd6ba889118671ffb02e0a57d3476a7fb4f
ppc/mac/ofboot.b = sha256:314012808e6882cd2d691bf84e30b540271d7901ae07c706f7c004ea8c6f7684
ppc/chrp/yaboot = sha256:d0aeca45c48ef8b0ab958ed9d76e5c55e7216dc3682a93b2f8a29760e775f2a0
repodata/repomd.xml = sha256:e041a9992beda6f9b2cc46cfc42acfd46040b495fd3c9397dfc71e7b3d8220c1
Comment 2 Fedora Update System 2012-12-22 03:45:56 EST
pungi-2.13-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/pungi-2.13-1.fc18
Comment 3 Fedora Update System 2012-12-22 16:12:22 EST
Package pungi-2.13-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing pungi-2.13-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-20843/pungi-2.13-1.fc18
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-01-05 02:15:56 EST
pungi-2.13-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.